# This file created by conda-build 3.16.2
# meta.yaml template originally from:
# /tmp/build/80754af9/rsync-recipes/arrow-cpp-0.11.1-python_3.7-on-linux_64, last modified Wed Oct 31 02:49:47 2018
# ------------------------------------------------

package:
    name: arrow-cpp
    version: 0.11.1
source:
    sha256: c524f3d47f0cdb7445c0326b20e79f60485e12daeb2adc8ad6a845ad6c19c1ac
    url: http://apache.cs.utah.edu/arrow/arrow-0.11.1/apache-arrow-0.11.1.tar.gz
build:
    number: '0'
    run_exports:
        - arrow-cpp >=0.11.1,<0.12.0a0
    string: py37h5c3f529_0
requirements:
    build:
        - autoconf 2.69 pl526hebd4dad_5
        - binutils_impl_linux-64 2.31.1 h6176602_1
        - binutils_linux-64 2.31.1 h6176602_3
        - bzip2 1.0.6 h14c3975_5
        - ca-certificates 2018.03.07 0
        - cmake 3.12.2 h52cb24c_0
        - expat 2.2.6 he6710b0_0
        - gcc_impl_linux-64 7.3.0 habb00fd_1
        - gcc_linux-64 7.3.0 h553295d_3
        - gxx_impl_linux-64 7.3.0 hdf63c60_1
        - gxx_linux-64 7.3.0 h553295d_3
        - libcurl 7.61.1 h20c2e04_0
        - libgcc-ng 8.2.0 hdf63c60_1
        - libstdcxx-ng 8.2.0 hdf63c60_1
        - m4 1.4.18 h4e445db_0
        - ncurses 6.1 hf484d3e_0
        - openssl 1.1.1 h7b6447c_0
        - perl 5.26.2 h14c3975_0
        - rhash 1.3.6 h1ba5d50_0
        - xz 5.2.4 h14c3975_4
        - zlib 1.2.11 ha838bed_2
    host:
        - blas 1.0 mkl
        - brotli 1.0.6 he6710b0_0
        - bzip2 1.0.6 h14c3975_5
        - ca-certificates 2018.03.07 0
        - flatbuffers 1.7.1 hf484d3e_0
        - gflags 2.2.1 hf484d3e_0
        - glog 0.3.5 hf484d3e_1
        - icu 58.2 h9c2bf20_1
        - intel-openmp 2019.0 118
        - libboost 1.67.0 h46d08c1_4
        - libedit 3.1.20170329 h6b74fdf_2
        - libevent 2.1.8 h1ba5d50_0
        - libffi 3.2.1 hd88cf55_4
        - libgcc-ng 8.2.0 hdf63c60_1
        - libgfortran-ng 7.3.0 hdf63c60_0
        - libprotobuf-static 3.6.0 hd408876_0
        - libstdcxx-ng 8.2.0 hdf63c60_1
        - lz4-c 1.8.1.2 h14c3975_0
        - mkl 2019.0 118
        - ncurses 6.1 hf484d3e_0
        - numpy-base 1.11.3 py37h81de0dd_10
        - numpy-devel 1.11.3 py37h6bdb83d_10
        - openssl 1.1.1 h7b6447c_0
        - python 3.7.1 h0371630_3
        - rapidjson 1.1.0 h6bb024c_0
        - readline 7.0 h7b6447c_5
        - snappy 1.1.7 hbae5bb6_3
        - sqlite 3.25.2 h7b6447c_0
        - thrift-cpp 0.11.0 h02b749d_3
        - tk 8.6.8 hbc83047_0
        - xz 5.2.4 h14c3975_4
        - zlib 1.2.11 ha838bed_2
        - zstd 1.3.3 h84994c4_0
    run:
        - glog >=0.3.5,<0.3.6.0a0
        - libboost >=1.67.0,<1.67.1.0a0
        - libgcc-ng >=7.3.0
        - libstdcxx-ng >=7.3.0
        - lz4-c >=1.8.1.2,<1.9.0a0
        - numpy >=1.11.3,<2.0a0
        - python >=3.7,<3.8.0a0
        - snappy >=1.1.7,<2.0a0
        - thrift-cpp >=0.11.0,<0.12.0a0
        - zlib >=1.2.11,<1.3.0a0
        - zstd >=1.3.3,<1.3.4.0a0
test:
    commands:
        - test -f $PREFIX/lib/libarrow.a
        - test -f $PREFIX/lib/libarrow.so
        - test -f $PREFIX/lib/libarrow_python.so
        - test -f $PREFIX/lib/libplasma.so
about:
    home: http://github.com/apache/arrow
    license: Apache 2.0
    summary: C++ libraries for Apache Arrow
extra:
    copy_test_source_files: true
    final: true
    recipe-maintainers:
        - cpcloud
        - jreback
        - kou
        - kszucs
        - leifwalsh
        - msarahan
        - pcmoritz
        - pitrou
        - robertnishihara
        - siddharthteotia
        - wesm
        - xhochy
